Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1594913 - CI: Tripleo parsing error while installing cliff
Summary: CI: Tripleo parsing error while installing cliff
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: James Slagle
QA Contact: Arik Chernetsky
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-25 16:53 UTC by agopi
Modified: 2018-06-26 23:05 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1595463 (view as bug list)
Environment:
Last Closed: 2018-06-26 23:05:15 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description agopi 2018-06-25 16:53:57 UTC
Description of problem:

Can be noticed in the CI jobs that use http://git.app.eng.bos.redhat.com/git/tripleo-environments.git/tree/ci-scripts/prep-internal-rhel.sh

Ex: 

https://rhos-dev-jenkins.rhev-ci-vms.eng.rdu2.redhat.com/job/periodic-ocata-rdo_trunk-featureset020-1ctlr_1comp_64gb/62/console

https://rhos-dev-jenkins.rhev-ci-vms.eng.rdu2.redhat.com/user/agopi/my-views/view/Browbeat_view/job/browbeat-quickstart-gerrit-queens-baremetal-CI/91/console



Where: 

Occuring on all versions 


Following is the error: 

 Collecting cliff (from ara==0.14.5->-r requirements.txt (line 2))
08:49:22   Using cached https://files.pythonhosted.org/packages/7e/1c/4582dc9b2cb5164c665221aca70013003a2dbbd0ef837b72f43c62a350c4/cliff-2.12.1.tar.gz
08:49:24     Complete output from command python setup.py egg_info:
08:49:24     /home/rhos-ci/jenkins/workspace/periodic-ocata-rdo_trunk-featureset020-1ctlr_1comp_64gb/lib/python2.7/site-packages/pkg_resources/__init__.py:2510: PEP440Warning: 'pbr (0.5.2.5.g5b3e942)' is being parsed as a legacy, non PEP 440, version. You may find odd behavior and sort order. In particular it will be sorted as less than 0.0. It is recommend to migrate to PEP 440 compatible versions.
08:49:24       PEP440Warning,
08:49:24     /usr/lib64/python2.7/distutils/dist.py:267: UserWarning: Unknown distribution option: 'long_description_content_type'
08:49:24       warnings.warn(msg)
08:49:24     /usr/lib64/python2.7/distutils/dist.py:267: UserWarning: Unknown distribution option: 'project_urls'
08:49:24       warnings.warn(msg)
08:49:24     
08:49:24     Installed /tmp/pip-install-raSytd/cliff/.eggs/pbr-4.0.4-py2.7.egg
08:49:24     Marker evaluation failed, see the following error.  For more information see: http://docs.openstack.org/developer/pbr/compatibility.html#evaluate-marker
08:49:24     ERROR:root:Error parsing
08:49:24     Traceback (most recent call last):
08:49:24       File "/tmp/pip-install-raSytd/cliff/.eggs/pbr-4.0.4-py2.7.egg/pbr/core.py", line 96, in pbr
08:49:24         attrs = util.cfg_to_args(path, dist.script_args)
08:49:24       File "/tmp/pip-install-raSytd/cliff/.eggs/pbr-4.0.4-py2.7.egg/pbr/util.py", line 260, in cfg_to_args
08:49:24         kwargs = setup_cfg_to_setup_kwargs(config, script_args)
08:49:24       File "/tmp/pip-install-raSytd/cliff/.eggs/pbr-4.0.4-py2.7.egg/pbr/util.py", line 454, in setup_cfg_to_setup_kwargs
08:49:24         if pkg_resources.evaluate_marker('(%s)' % env_marker):
08:49:24       File "/home/rhos-ci/jenkins/workspace/periodic-ocata-rdo_trunk-featureset020-1ctlr_1comp_64gb/lib/python2.7/site-packages/pkg_resources/__init__.py", line 1481, in evaluate_marker
08:49:24         return cls.interpret(parser.expr(text).totuple(1)[1])
08:49:24       File "/home/rhos-ci/jenkins/workspace/periodic-ocata-rdo_trunk-featureset020-1ctlr_1comp_64gb/lib/python2.7/site-packages/pkg_resources/__init__.py", line 1515, in interpret
08:49:24         return op(nodelist)
08:49:24       File "/home/rhos-ci/jenkins/workspace/periodic-ocata-rdo_trunk-featureset020-1ctlr_1comp_64gb/lib/python2.7/site-packages/pkg_resources/__init__.py", line 1429, in atom
08:49:24         return cls.interpret(nodelist[2])
08:49:24       File "/home/rhos-ci/jenkins/workspace/periodic-ocata-rdo_trunk-featureset020-1ctlr_1comp_64gb/lib/python2.7/site-packages/pkg_resources/__init__.py", line 1515, in interpret
08:49:24         return op(nodelist)
08:49:24       File "/home/rhos-ci/jenkins/workspace/periodic-ocata-rdo_trunk-featureset020-1ctlr_1comp_64gb/lib/python2.7/site-packages/pkg_resources/__init__.py", line 1450, in comparison
08:49:24         raise SyntaxError(msg)
08:49:24     SyntaxError: '<' operator not allowed in environment markers
08:49:24     error in setup command: Error parsing /tmp/pip-install-raSytd/cliff/setup.cfg: SyntaxError: '<' operator not allowed in environment markers

Comment 1 Alex Schultz 2018-06-25 17:45:26 UTC
Usually this occurs when setuptools is outdated

Comment 2 agopi 2018-06-25 19:26:45 UTC
(In reply to Alex Schultz from comment #1)
> Usually this occurs when setuptools is outdated

I've tried to upgrade setuptools, however the error can still be seen.

Comment 3 agopi 2018-06-26 23:02:19 UTC
running dnf/yum update solved.


Note You need to log in before you can comment on or make changes to this bug.